## org.gnu.gtk.event
Class EntryEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.EntryEvent.Type

Enclosing class:
  EntryEvent

public static class EntryEvent.Type
extends EventType

Field Summary
`static EntryEvent.Type` `ACTIVATE` Indicates that the user has pressed the enter key while in the widget
`static EntryEvent.Type` `CHANGED` Indicates that the user has changed the contents of the widget.
`static EntryEvent.Type` `COPY_CLIPBOARD`
`static EntryEvent.Type` `CUT_CLIPBOARD` Clipboard related events
`static EntryEvent.Type` `DELETE_FROM_CURSOR` Indicates that the user has deleted text starting at the cursor.
`static EntryEvent.Type` `DELETE_TEXT` This type of event is emitted when the user deletes text from the widget
`static EntryEvent.Type` `INSERT_AT_CURSOR` Indicates that the user has inserted text at the cursor.
`static EntryEvent.Type` `INSERT_TEXT` This type of event is emitted when the user inserts text into the widget.
`static EntryEvent.Type` `MOVE_CURSOR` Indicates that the user has moved the cursor in the widget.
`static EntryEvent.Type` `PASTE_CLIPBOARD`
`static EntryEvent.Type` `TOGGLE_OVERWRITE`

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTIVATE

    public static final EntryEvent.Type ACTIVATE

  Indicates that the user has pressed the enter key while in the widget

### MOVE_CURSOR

    public static final EntryEvent.Type MOVE_CURSOR

  Indicates that the user has moved the cursor in the widget.

### INSERT_AT_CURSOR

    public static final EntryEvent.Type INSERT_AT_CURSOR

  Indicates that the user has inserted text at the cursor.

### DELETE_FROM_CURSOR

    public static final EntryEvent.Type DELETE_FROM_CURSOR

  Indicates that the user has deleted text starting at the cursor.

### CUT_CLIPBOARD

    public static final EntryEvent.Type CUT_CLIPBOARD

  Clipboard related events

### COPY_CLIPBOARD

    public static final EntryEvent.Type COPY_CLIPBOARD

### PASTE_CLIPBOARD

    public static final EntryEvent.Type PASTE_CLIPBOARD

### TOGGLE_OVERWRITE

    public static final EntryEvent.Type TOGGLE_OVERWRITE

### CHANGED

    public static final EntryEvent.Type CHANGED

  Indicates that the user has changed the contents of the widget.

### DELETE_TEXT

    public static final EntryEvent.Type DELETE_TEXT

  This type of event is emitted when the user deletes text from the widget

### INSERT_TEXT

    public static final EntryEvent.Type INSERT_TEXT

  This type of event is emitted when the user inserts text into the widget.